import 'package:example/app_widget.dart';
import 'package:flutter/material.dart';
import 'package:fps_widget/fps_widget.dart';
import 'package:microfrontends/microfrontends.dart';

import 'nav/state_container.dart';
import 'pages/home.dart';

class PerfShowcase extends AppWidget {
  final title = 'Performance showcase';

  @override
  Widget build(BuildContext context) {
    return StaticContainer(
      container: NavContainer(
        'setState',
        ['setState', 'microfrontends'],
      ),
      child: Scaffold(
        body: FPSWidget(
          child: Home(),
        ),
      ),
    );
  }
}
