import 'package:flutter_test/flutter_test.dart';

import "state_container_provider_test.dart" as state_container_provider_test;
import "boxed.dart" as boxed;
import "static_container_test.dart" as static_container_test;
import "key_provider_test.dart" as key_provider_test;
import "effect_test.dart" as effect_test;

void main() {
  group(
    state_container_provider_test.groupTitle,
    state_container_provider_test.main,
  );

  group(boxed.groupTitle, boxed.main);

  group(
    static_container_test.groupTitle,
    static_container_test.main,
  );

  group(
    key_provider_test.groupTitle,
    key_provider_test.main,
  );

  group(effect_test.groupTitle, effect_test.main);
}
