import 'package:microfrontends/microfrontends.dart';

abstract class MultitypeState<T> {
  final T payload;

  MultitypeState(this.payload);
}

class TypeA extends MultitypeState<int> {
  TypeA(int payload) : super(payload);
}

class TypeB extends MultitypeState<int> {
  TypeB(int payload) : super(payload);
}

class MultitypeContainer extends StateContainer<MultitypeState> {
  @override
  MultitypeState get initialState => TypeA(0);
}
