import 'package:flutter/widgets.dart';

const padding = const EdgeInsets.all(1.0);
const duration = const Duration(milliseconds: 16);

class Tile extends StatelessWidget {
  const Tile({Key? key, required this.color}) : super(key: key);

  final Color color;

  @override
  Widget build(BuildContext context) {
    return Padding(
      padding: padding,
      child: AnimatedContainer(
        duration: duration,
        color: color,
      ),
    );
  }
}
