import 'package:microfrontends/microfrontends.dart';

class Length extends Boxed<int> {
  Length(int payload) : super(payload);
}

class StringContainer extends StateContainer<String> {
  final String string;

  StringContainer(this.string);

  @override
  String get initialState => string;

  @override
  queries(StateContainerContext context) {
    query((ctrl, value, arg) => Length(value.length));
    return super.queries(context);
  }
}
